Bug 18700 - Fix ungrammatical sentence
Summary: Fix ungrammatical sentence
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Colin Campbell
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 14:17 UTC by Colin Campbell
Modified: 2017-07-31 11:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Minor grammar correction (1.97 KB, patch)
2017-05-30 14:25 UTC, Colin Campbell
Details | Diff | Splinter Review
Revised to incorporate Marc's suggestion (2.08 KB, patch)
2017-05-31 08:32 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 18700 Fix grammar (data cannot be pluralized) (2.13 KB, patch)
2017-05-31 09:16 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18700 Fix grammar (data cannot be pluralized) (2.22 KB, patch)
2017-06-02 08:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2017-05-30 14:17:07 UTC
admin-home has an ungrammatical sentence referring to "datas". In English data can be treated as a plural (sing datum) or a mass noun but it is not a count noun. correct the grammar
Comment 1 Colin Campbell 2017-05-30 14:25:45 UTC
Created attachment 63848 [details] [review]
Minor grammar correction

Fix the grammar of the sentence removing the incorrect pluralization of data - switch those to these to improve flow - 

I expect to test find a pedantic grammarian and see if the still wince at the sentence after the patch is applied
Comment 2 Marc Véron 2017-05-31 06:20:19 UTC
Tiny proposal from a non native speaker:

---
Define the mapping between keywords and MARC fields. The keywords are used to find some data independently of the framework.
---

Splitting the message into two sentences (one for the fact, one for the explanation) would improve translatability a little bit.
Comment 3 Colin Campbell 2017-05-31 08:32:14 UTC
Created attachment 63858 [details] [review]
Revised to incorporate Marc's suggestion

Marc's suggestion improves the text
Comment 4 Marc Véron 2017-05-31 09:16:58 UTC
Created attachment 63860 [details] [review]
Bug 18700 Fix grammar (data cannot be pluralized)

data is a mass noun or plural of datum - datas is ungrammatical
and jarring for a native speaker.
Split the awkward sounding sentence into two for more clarity,
thanks to Marc Véron for the suggestion.

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marcel de Rooy 2017-06-02 08:44:12 UTC
Created attachment 63921 [details] [review]
Bug 18700 Fix grammar (data cannot be pluralized)

data is a mass noun or plural of datum - datas is ungrammatical
and jarring for a native speaker.
Split the awkward sounding sentence into two for more clarity,
thanks to Marc Véron for the suggestion.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-06-05 14:57:08 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-09 13:01:44 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 8 Katrin Fischer 2017-06-11 22:38:48 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 9 Mason James 2017-07-31 11:16:01 UTC
Pushed to 16.05.x, for 16.05.15 release